[2015082503-pgconfig_controldata.diff]


I tried to build this, and the patch applies cleanly but then a ld error emerges:

(The first four lines (about gram.y) are standard warnings; the error starts from the ld line)


In file included from gram.y:14908:0:
scan.c: In function ‘yy_try_NUL_trans’:
scan.c:10307:23: warning: unused variable ‘yyg’ [-Wunused-variable]
struct yyguts_t * yyg = (struct yyguts_t*)yyscanner; /* This var may be unused depending upon options. */
                       ^
/usr/bin/ld: Dwarf Error: found dwarf version '4', this reader only handles version 2 information.
utils/fmgrtab.o:(.rodata+0x19f78): undefined reference to `_null_'
utils/fmgrtab.o:(.rodata+0x1a078): undefined reference to `_null_'
collect2: error: ld returned 1 exit status
make[2]: *** [postgres] Error 1
make[1]: *** [all-backend-recurse] Error 2
make: *** [all-src-recurse] Error 2



The configure was:

./configure \
 --prefix=/var/data1/pg_stuff/pg_installations/pgsql.controldata \
 --with-pgport=6594 \
--bindir=/var/data1/pg_stuff/pg_installations/pgsql.controldata/bin.fast \ --libdir=/var/data1/pg_stuff/pg_installations/pgsql.controldata/lib.fast \ --sysconfdir=/var/data1/pg_stuff/pg_installations/pgsql.controldata/etc \ --quiet --enable-depend --with-perl --with-python --with-openssl --with-libxml \ --with-extra-version=_controldata_20151030_1432_c5057b2b3481 --enable-tap-tests




Thanks,

Erik Rijkers







--
Sent via pgsql-hackers mailing list (pgsql-hackers@postgresql.org)
To make changes to your subscription:
http://www.postgresql.org/mailpref/pgsql-hackers

Reply via email to